Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graph
Class ConstrainedEdge

    java.lang.Object
      org.eclipse.draw2d.graph.Edge
          org.eclipse.gmf.runtime.draw2d.ui.graph.ConstrainedEdge

    public class ConstrainedEdge

extends Edge

Implementation of Edge that:

- Can connect border node(s)
- Can be routed obliquely or orthogonally

  Since:
    2.1

  Field Summary
  `static java.lang.String` `DEFAULT_ROUTING_STYLE`
  `static java.lang.String` `ORTHOGONAL_ROUTING_STYLE`

  Fields inherited from class org.eclipse.draw2d.graph.Edge
  `data, delta, end, isFeedback, offsetSource, offsetTarget, padding, source, start, target, vNodes, weight, width`

  Constructor Summary
  `ConstrainedEdge(Node source, Node target)` Constructs a new edge with the given source and target nodes.
  `ConstrainedEdge(Node source, Node target, int delta, int weight)` Constructs a new edge with the given source, target, delta, and weight.
  `ConstrainedEdge(java.lang.Object data, Node source, Node target)` Constructs a new edge with the given data object, source, and target node.

  Method Summary
  `java.lang.String` `getStyle()` Gets the routing style for the edge
  `void` `invert()`
  `void` `setStyle(java.lang.String style)` Sets the routing style for the edge (orthogonal or default)

  Methods inherited from class org.eclipse.draw2d.graph.Edge
  `getDelta, getLength, getPadding, getPoints, getSourceOffset, getTargetOffset, getWidth, isFeedback, opposite, setDelta, setPadding, setSource, setSourceOffset, setTarget, setTargetOffset, setWidth`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### DEFAULT_ROUTING_STYLE

      public static java.lang.String DEFAULT_ROUTING_STYLE

  ### ORTHOGONAL_ROUTING_STYLE

      public static java.lang.String ORTHOGONAL_ROUTING_STYLE

  Constructor Detail

  ### ConstrainedEdge

      public ConstrainedEdge(Node source,
                             Node target)

    Constructs a new edge with the given source and target nodes. All other fields will have their default values.

    Parameters:
      `source` - the source Node
      `target` - the target Node
    Since:
      2.1

  ### ConstrainedEdge

      public ConstrainedEdge(Node source,
                             Node target,
                             int delta,
                             int weight)

    Constructs a new edge with the given source, target, delta, and weight.

    Parameters:
      `source` - the source Node
      `target` - the target Node
      `delta` - the minimum edge span
      `weight` - the weight hint
    Since:
      2.1

  ### ConstrainedEdge

      public ConstrainedEdge(java.lang.Object data,
                             Node source,
                             Node target)

    Constructs a new edge with the given data object, source, and target node.

    Parameters:
      `data` - an arbitrary data object
      `source` - the source node
      `target` - the target node
    Since:
      2.1

  Method Detail

  ### getStyle

      public java.lang.String getStyle()

    Gets the routing style for the edge

    Returns:
      the style constant
    Since:
      2.1

  ### setStyle

      public void setStyle(java.lang.String style)

    Sets the routing style for the edge (orthogonal or default)

    Parameters:
      `style` - the style constant
    Since:
      2.1

  ### invert

      public void invert()

    Overrides:
      `invert` in class `Edge`

  Runtime

  Guidelines for using Eclipse APIs.

  Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.